package sharin.doc.builder.xhtml1;

import sharin.doc.builder.Elem;

public class GenericCommonElem<E extends Elem> extends GenericCoreElem<E> {

    public GenericCommonElem(String name, Object... nodes) {
        super(name, nodes);
    }

    public E lang(String value) {
        return attr("lang", value);
    }

    /**
     * xml:lang
     */
    public E xmllang(String value) {
        return attr("xml:lang", value);
    }

    public E dir(String value) {
        return attr("dir", value);
    }

    public E onclick(String value) {
        return attr("onclick", value);
    }

    public E ondblclick(String value) {
        return attr("ondblclick", value);
    }

    public E onmousedown(String value) {
        return attr("onmousedown", value);
    }

    public E onmouseup(String value) {
        return attr("onmouseup", value);
    }

    public E onmouseover(String value) {
        return attr("onmouseover", value);
    }

    public E onmousemove(String value) {
        return attr("onmousemove", value);
    }

    public E onmouseout(String value) {
        return attr("onmouseout", value);
    }

    public E onkeypress(String value) {
        return attr("onkeypress", value);
    }

    public E onkeydown(String value) {
        return attr("onkeydown", value);
    }

    public E onkeyup(String value) {
        return attr("onkeyup", value);
    }
}
